MultiVerbose {R.utils} | R Documentation

## A Verbose class ignoring everything

### Description

Package: R.utils
Class MultiVerbose

`Object`
`~~|`
`~~+--``Verbose`
`~~~~~~~|`
`~~~~~~~+--``MultiVerbose`

Directly known subclasses:

public static class MultiVerbose
extends Verbose

A Verbose class ignoring everything.

This is a trial class.

### Usage

    MultiVerbose(verboseList=NULL, ...)

### Arguments

`verboseList` | A `list` of `Verbose` objects.
`...` | Ignored.

### Fields and Methods

Methods:

| `as.list` | Gets a list of Verbose objects.
| `writeRaw` | Writes to each of the Verbose objects.

Methods inherited from Verbose:
as.character, as.double, as.logical, capture, cat, enter, enterf, equals, evaluate, exit, getThreshold, getTimestampFormat, header, isOn, isVisible, less, more, newline, off, on, popState, print, printf, pushState, ruler, setDefaultLevel, setThreshold, setTimestampFormat, str, summary, timestamp, timestampOff, timestampOn, warnings, writeRaw

Methods inherited from Object:
$, $<-, [[, [[<-, as.character, attach, attachLocally, clearCache, clearLookupCache, clone, detach, equals, extend, finalize, getEnvironment, getFieldModifier, getFieldModifiers, getFields, getInstantiationTime, getStaticInstance, hasField, hashCode, ll, load, names, objectSize, print, save

### Author(s)

Henrik Bengtsson

### Examples

    # Output to both standard output and to log file
    stdoutLog <- Verbose(threshold=-1)
    fileLog <- Verbose("foo.log", threshold=-1)
    verbose <- MultiVerbose(list(stdoutLog, fileLog), threshold=-1)

    header(verbose, "A verbose writer example", padding=0)

    enter(verbose, "Analysis A")
    for (kk in 1:10) {
      printf(verbose, "step %d\n", kk)
      if (kk == 2) {
        cat(verbose, "Turning ON automatic timestamps")
        timestampOn(verbose);
      } else if (kk == 4) {
        timestampOff(verbose);
        cat(verbose, "Turned OFF automatic timestamps")
        cat(verbose, "Turning OFF verbose messages for steps ", kk, "-6")
        off(verbose)
      } else if (kk == 6) {
        on(verbose)
        cat(verbose, "Turned ON verbose messages just before step ", kk+1)
      }

      if (kk %in% c(5,8)) {
        enter(verbose, "Sub analysis ", kk)
        for (jj in c("i", "ii", "iii")) {
          cat(verbose, "part ", jj)
        }
        exit(verbose)
      }
    }
    cat(verbose, "All steps completed!")
    exit(verbose)

    ruler(verbose)
    cat(verbose, "Demo of some other methods:")
    str(verbose, c(a=1, b=2, c=3))
    print(verbose, c(a=1, b=2, c=3))
    summary(verbose, c(a=1, b=2, c=3))
    evaluate(verbose, rnorm, n=3, mean=2, sd=3)

    ruler(verbose)
    newline(verbose)

[Package R.utils version 2.6.0 Index]